//Robo Cup  LogMonitor 
// This Program is developed based on Noda Itsuki's  sserver-3.28.
import java.awt.*;
import java.net.*;
import java.io.*;
import java.awt.event.*;
import java.util.*;

public class CObject {

	protected boolean	initFlg;
	protected int		time;
	protected double	pos_x0, pos_y0, pos_x1, pos_y1 ;	/* x-position */
	protected double	dist0, dist;
	protected double	total_dist;
	protected double	angle0, angle;
	protected boolean	moved;
	protected short		x,y;
	protected String	txtPmode;

	
	public CObject() {

		initFlg = false;
		time = 0;
		pos_x0 = pos_y0 = pos_x1 = pos_y1 = 0.0;
		dist0 = dist = 0.0;
		total_dist = 0.0;
		angle0 = angle = 0.0;

	}

	public boolean set(short x,short y, short time, String pmode) {

		this.x = x;
		this.y = y;
		moved = false;
		if(initFlg){
			//System.out.println(x + " " + y);
			this.time = time;
			//pos_x0 = pos_x1;
			//pos_y0 = pos_y1;
			double xx = x - pos_x0;
			double yy = y - pos_y0;
			angle0 = angle;
			angle = Math.atan(xx/yy);
			dist0 = dist;
			dist = 0;		 
			if (pmode == "play_on"){
				dist = Math.sqrt(xx*xx + yy*yy);
				total_dist += dist;
			}
			pos_x0 = x;
			pos_y0 = y;


		} else {
			initFlg = true;
			this.time = time;
			pos_x0 = x;
			pos_y0 = y;
		}
//		if (Math.abs(angle0 - angle) > 1.0 || (dist - dist0) > 1.0) moved = true; 
		if (Math.abs(angle0 - angle) > 0.0 || (dist > dist0)) moved = true; 
		return moved;
	}
}