//Robo Cup  LogMonitor 
// This Program is developed based on Noda Itsuki's  sserver-3.28.
import java.awt.*;
import java.net.*;
import java.io.*;
import java.awt.event.*;
import java.util.*;

public class CPlayer extends CObject {

	short	side;
	short	unum;
	short   pmode;
	Color 	c;
	
	short		kickcount;
	double		toBallDist;
	boolean 	kick;

	//0 = own,1 = enemy,2 = goal, 

	int size = CParam.InPitchSize(CParam.PLAYER_SIZE*2);
	
	ReplayInfo ri;
	
	public CPlayer(ReplayInfo ri) {
		super();	
		
		this.ri = ri; 
		toBallDist = 0.0;
		kickcount = 0;
	}
	
	public boolean set(int x, int y, int angle, int side, int unum, Color c){

		boolean kick = false;
	
		CBall cball = ri.getCBall();

		super.set((short)x,(short)y,(short)0,ri.getPlayMode());

		double xx, yy;
		
		xx = x - cball.getX();
		yy = y - cball.getY();
				
		xx = xx / CParam.SHOWINFO_SCALE;
		yy = yy / CParam.SHOWINFO_SCALE;


		double toBallDist = Math.sqrt(xx*xx + yy*yy);
			
	//	System.out.println(toBallDist);


		//
		//v[[{[LbNǂ̔
		//
		if (this.toBallDist <= 1.885 && toBallDist > 1.885 && cball.getBallKicked()) {
			
			kick = true;
			kickcount++;
		}
		
		this.toBallDist = toBallDist;
		this.side = (short)side;
		this.unum = (short)unum;
		this.c	  = c; 
		this.angle = (double)angle;

		return kick;

	}

	public int getKickCount(){
		return kickcount;
	}
	public int getDistance(){
		return (int)total_dist;

	}

	public void drawPlayer(Graphics g){
				
		int ox = CParam.InFieldPosX((double)x/CParam.SHOWINFO_SCALE) - (int)(size/2.0);
		int oy = CParam.InFieldPosY((double)y/CParam.SHOWINFO_SCALE) - (int)(size/2.0);
	
		g.setColor(Color.black);
		g.fillOval(ox, oy, size, size);
		g.setColor(c);
		g.fillArc(ox, oy, size, size, -(int)angle-90, 180);

		Integer i = new Integer(unum);
		String str = i.toString()+ " K"+(new Integer(kickcount).toString());
		g.setColor(Color.black);
		g.drawString(str, ox+1, oy+1);
		g.setColor(c);
		g.drawString(str, ox, oy);
		
	}
}				







			
