//Robo Cup  LogMonitor 
// This Program is developed based on Noda Itsuki's  sserver-3.28.
import java.awt.*;
import java.net.*;
import java.io.*;
import java.awt.event.*;
import java.util.*;

public class Analyze extends Frame implements WindowListener,Runnable{
	
	Player player[] = new Player[22]; 
	int shihaiLeft = 0,shihaiRight=0, play_on_time = 0; 		
	int beforeTime, thisTime;
	double ballVelo = 0.0;
	int beforeKick = 100,thisKick;
	String beforeMode,thisMode; 
	int maxtime;
	boolean changem = false;
	boolean changek = false;
	int index, time;
	int kickBuff[] = new int[1000]; 	
	int offSide_l;
	int offSide_r;	

	Label Unum[] = new Label[22];
	TextField txtGoal[]  = new TextField[24];
	TextField txtAssist[]  = new TextField[24];
	TextField txtOwnGoal[]  = new TextField[24];
	TextField txtEnemyAssist[]  = new TextField[24];
	TextField txtPass[]= new TextField[24];
	TextField txtPassMiss[]  = new TextField[24];
	TextField txtRecvPass[]  = new TextField[24];
	TextField txtPassCut[]  = new TextField[24];
	TextField txtDribble[]   = new TextField[24];
	TextField txtOffSide[]   = new TextField[24];

	Panel pa = new Panel();

  	Analyze(){
		super("analyze");		
		kickBuff[0] = -1;
		for(int i = 0; i <= 21; ++i)  {
			player[i] = new Player();			
		}
		for(int i = 0;i <= 23; ++i){
			txtGoal[i]  = new TextField("0",3);
			txtGoal[i].setEditable(false);
			txtGoal[i].setBackground(Color.white);
			txtAssist[i]  = new TextField("0",3);
			txtAssist[i].setEditable(false);
			txtAssist[i].setBackground(Color.white);
			txtOwnGoal[i]  = new TextField("0",3);
			txtOwnGoal[i].setEditable(false);
			txtOwnGoal[i].setBackground(Color.white);
			txtEnemyAssist[i]  = new TextField("0",3);
			txtEnemyAssist[i].setEditable(false);
			txtEnemyAssist[i].setBackground(Color.white);
			txtPass[i]  = new TextField("0",3);
			txtPass[i].setEditable(false);
			txtPass[i].setBackground(Color.white);
			txtPassMiss[i]  = new TextField("0",3);
			txtPassMiss[i].setEditable(false);
			txtPassMiss[i].setBackground(Color.white);
			txtRecvPass[i]  = new TextField("0",3);
			txtRecvPass[i].setEditable(false);
			txtRecvPass[i].setBackground(Color.white);
			txtPassCut[i]  = new TextField("0",3);
			txtPassCut[i].setEditable(false);
			txtPassCut[i].setBackground(Color.white);
			txtDribble[i]  = new TextField("0",3);
			txtDribble[i].setEditable(false);
			txtDribble[i].setBackground(Color.white);
			txtOffSide[i]  = new TextField("0",3);
			txtOffSide[i].setEditable(false);
			txtOffSide[i].setBackground(Color.white);
	
		}

	//	setLayout(new FlowLayout());
		pa.setLayout(new GridLayout(25,11));
		pa.setBackground(Color.gray);
		
		pa.add(new Label("  "));
		pa.add(new Label("goal"));
		pa.add(new Label("assist"));
		pa.add(new Label("ownGoal"));
		pa.add(new Label("EAssist"));
		pa.add(new Label("pass"));
		pa.add(new Label("intercepted"));
		pa.add(new Label("recvPass"));
		pa.add(new Label("passCut"));
		pa.add(new Label("dribble"));
		pa.add(new Label("OffSide"));

		pa.add(new Label("LEFT"));
		pa.add(txtGoal[22]);
		pa.add(txtAssist[22]);  
		pa.add(txtOwnGoal[22]);
		pa.add(txtEnemyAssist[22]);
		pa.add(txtPass[22]);
		pa.add(txtPassMiss[22]);
		pa.add(txtRecvPass[22]);
		pa.add(txtPassCut[22]);
		pa.add(txtDribble[22]);
		pa.add(txtOffSide[22]);

		pa.add(new Label("RIGHT"));
		pa.add(txtGoal[23]);
		pa.add(txtAssist[23]);  
		pa.add(txtOwnGoal[23]);
		pa.add(txtEnemyAssist[23]);
		pa.add(txtPass[23]);
		pa.add(txtPassMiss[23]);
		pa.add(txtRecvPass[23]);
		pa.add(txtPassCut[23]);
		pa.add(txtDribble[23]);				
		pa.add(txtOffSide[23]);

		for (int i=0; i<11; i++) {
			setBackground(Color.gray);
			pa.add(new Label("LEFT"+new Integer(i+1).toString().trim()));
			pa.add(txtGoal[i]);
			pa.add(txtAssist[i]);  
			pa.add(txtOwnGoal[i]);
			pa.add(txtEnemyAssist[i]);
			pa.add(txtPass[i]);
			pa.add(txtPassMiss[i]);
			pa.add(txtRecvPass[i]);
			pa.add(txtPassCut[i]);
			pa.add(txtDribble[i]);
			pa.add(txtOffSide[i]);
	
		}

		for (int i=11; i<22; i++) {
			setBackground(Color.white);
			pa.add(new Label("RIGHT"+new Integer(i-10).toString().trim()));
			pa.add(txtGoal[i]);
			pa.add(txtAssist[i]);  
			pa.add(txtOwnGoal[i]);
			pa.add(txtEnemyAssist[i]);
			pa.add(txtPass[i]);
			pa.add(txtPassMiss[i]);
			pa.add(txtRecvPass[i]);
			pa.add(txtPassCut[i]);
			pa.add(txtDribble[i]);
			pa.add(txtOffSide[i]);

		}


		add(pa);
		pack();
	
		addWindowListener(this);

	}

	class Player{
		
		int pass;
		int recvPass;
		int goal;	
		int owngoal;
		int passMiss;
		int passCut;
		int dribble;
		int freeKick;
		int assist;
		int enemyAssist; 
		int offSide;
		Player(){
	
		}
	}

	

       void setKickMember(int step, int member){
					
	       if (member == 100){
			changek = false;
		}
		else{changek = true;	
			index++;
	       		kickBuff[index] = member;
			beforeTime = thisTime; 		
			thisTime = step;	
		}
	}
		
	void setPlayMode(String pmode){
		/*
		System.out.println("pmode is "+pmode );
		System.out.println("thisMode is "+thisMode);
		System.out.println("beforeMode is "+beforeMode);
		*/		
		
		if (thisMode == pmode){
			changem = false;
		}		
		else{
			changem = true;
			beforeMode = thisMode;
			thisMode = pmode;
		}
	}
	void setBallVelo(int time,double ve){
		this.time = time;
		ballVelo = ve;

	}
	
	void printTotalGoal(){
	int total = 0;
		for(int i = 0;i <= 10; ++i){
			total += player[i].goal;
		}		
	txtGoal[22].setText(new Integer(total).toString());	

	total = 0;
		for(int i = 11;i <= 21; ++i){
			total += player[i].goal;
		}		
	txtGoal[23].setText(new Integer(total).toString());	
	}
	
	void printTotalAssist(){
	int total = 0;
		for(int i = 0;i <= 10; ++i){
			total += player[i].assist;
		}		
	txtAssist[22].setText(new Integer(total).toString());	

	total = 0;
		for(int i = 11;i <= 21; ++i){
			total += player[i].assist;
		}		
	txtAssist[23].setText(new Integer(total).toString());
	}

	void printTotalOwnGoal(){

	int total = 0;
		for(int i = 0;i <= 10; ++i){
			total += player[i].owngoal;
		}		
 	txtOwnGoal[22].setText(new Integer(total).toString());	
 
	total = 0;
		for(int i = 11;i <= 21; ++i){
			total += player[i].owngoal;
		}		
	txtOwnGoal[23].setText(new Integer(total).toString());
	}
	void printTotalEnemyAssist(){
	int total = 0;
		for(int i = 0;i <= 10; ++i){
			total += player[i].enemyAssist;
		}		
	txtEnemyAssist[22].setText(new Integer(total).toString());	

	total = 0;
		for(int i = 11;i <= 21; ++i){
			total += player[i].enemyAssist;
		}		
	txtEnemyAssist[23].setText(new Integer(total).toString());

	}
	void printTotalPass(){

		int total = 0;
		for(int i = 0;i <= 10; ++i){
			total += player[i].pass;
		}		
	txtPass[22].setText(new Integer(total).toString());	

	total = 0;
		for(int i = 11;i <= 21; ++i){
			total += player[i].pass;
		}		
	txtPass[23].setText(new Integer(total).toString());
 
	}
	void printTotalPassMiss(){
	int total = 0;
		for(int i = 0;i <= 10; ++i){
			total += player[i].passMiss;
		}		
	txtPassMiss[22].setText(new Integer(total).toString());	

	total = 0;
		for(int i = 11;i <= 21; ++i){
			total += player[i].passMiss;
		}		
	txtPassMiss[23].setText(new Integer(total).toString());

	}
	void printTotalRecvPass(){
	int total = 0;
		for(int i = 0;i <= 10; ++i){
			total += player[i].recvPass;
		}		
	txtRecvPass[22].setText(new Integer(total).toString());	
   
	total = 0;
		for(int i = 11;i <= 21; ++i){
			total += player[i].recvPass;
		}		
	txtRecvPass[23].setText(new Integer(total).toString());
	
	}
	void printTotalPassCut(){
	
		int total = 0;
		for(int i = 0;i <= 10; ++i){
			total += player[i].passCut;
		}		
	txtPassCut[22].setText(new Integer(total).toString());	

	total = 0;
		for(int i = 11;i <= 21; ++i){
			total += player[i].passCut;
		}		
	txtPassCut[23].setText(new Integer(total).toString());
		
	}
	void printTotalDribble(){
	int total = 0;
		for(int i = 0;i <= 10; ++i){
			total += player[i].dribble;
		}		
	txtDribble[22].setText(new Integer(total).toString());	

	total = 0;
		for(int i = 11;i <= 21; ++i){
			total += player[i].dribble;
		}		
	txtDribble[23].setText(new Integer(total).toString());

	}

	void printTotalOffSide(){
	int total = 0;
		for(int i = 0;i <= 10; ++i){
			total += player[i].offSide;
		}		
	txtOffSide[22].setText(new Integer(total).toString());	

	total = 0;
		for(int i = 11;i <= 21; ++i){
			total += player[i].offSide;
		}		
	txtOffSide[23].setText(new Integer(total).toString());

	}
	

	void ballAna(){

		System.out.println("TIME"+time+":BALL VELO "+ballVelo);

	}

	void analyze(){

	//	ballAna();

		thisKick = kickBuff[index];

		if (thisMode == "play_on") {
			play_on_time ++;
		}
  		if ((thisMode == "free_kick_l") && changem){
				offSide_r++;
				txtOffSide[23].setText(new Integer(offSide_r).toString());
	
		}
		if ((thisMode == "free_kick_r") && changem){
				offSide_l++;
				txtOffSide[22].setText(new Integer(offSide_l).toString());
		}
 					
		if(((thisMode == "goal_l") || (thisMode == "goal_r"))&& changem){
			beforeKick = kickBuff[index-1];
			boolean own = ((thisMode.endsWith("l") && (thisKick >= 11)) || (thisMode.endsWith("r") && (thisKick <= 10)));

			if (!own){
				//goal!!		
				player[thisKick].goal++;
				txtGoal[thisKick].setBackground(Color.blue);
				txtGoal[thisKick].setForeground(Color.yellow);
				txtGoal[thisKick].setText(new Integer(player[thisKick].goal).toString());	
				printTotalGoal();
				if (thisKick <= 10){
	
					shihaiLeft += thisTime - beforeTime;
				//	System.out.println("LeftShihaiRitsu = "+(int)(shihaiLeft/(double)(shihaiLeft+shihaiRight)*100)+"%");
	
				}
				else{
			
				shihaiRight += thisTime - beforeTime;

				System.out.println("RightShihaiRitsu = "+(int)(shihaiRight/(double)(play_on_time)*100)+"%");
				}
				
				System.out.println("player["+(kickBuff[index]+1)+"] Goal total"+player[kickBuff[index]].goal);
				//Zbgv[̓hûƂ́A
				//AVXg͂ȂB	
				if(!((beforeKick == -1)||(thisKick == beforeKick))){ 
					//assist??
					if(((beforeKick<=10)&&(thisKick<=10))||((beforeKick>=11)&& (thisKick>=11))){
						player[beforeKick].assist++;
						txtAssist[beforeKick].setBackground(Color.blue.brighter());
						txtAssist[beforeKick].setForeground(Color.yellow.brighter());
						txtAssist[beforeKick].setText(new Integer(player[beforeKick].assist).toString());	
						printTotalAssist();

					//	System.out.println("player["+(beforeKick+1)+"] Assist total"+player[beforeKick].assist);
	
					}
					//Gւ̃AVXg
				
					else {
						player[beforeKick].enemyAssist++;
						txtEnemyAssist[beforeKick].setBackground(Color.red.brighter());
						txtEnemyAssist[beforeKick].setForeground(Color.blue.darker());	
						txtEnemyAssist[beforeKick].setText(new Integer(player[beforeKick].enemyAssist).toString());	
						printTotalEnemyAssist();
						//System.out.println("player["+(beforeKick+1)+"] enemyAssist total"+player[beforeKick].enemyAssist);
				
					}
			
				}
			}
			else if ((thisKick <= 10 && beforeKick >=10) || (thisKick >= 11 && beforeKick <= 11)){
					
				player[beforeKick].goal++;
				txtGoal[beforeKick].setBackground(Color.blue);
				txtGoal[beforeKick].setForeground(Color.yellow);
				printTotalGoal();
				txtGoal[beforeKick].setText(new Integer(player[beforeKick].goal).toString());	

			//	System.out.println("player["+(beforeKick+1)+"] Goal total"+player[beforeKick].goal);
			}
			else{
				player[thisKick].owngoal++;
				txtOwnGoal[thisKick].setText(new Integer(player[thisKick].owngoal).toString());	
				txtOwnGoal[thisKick].setBackground(Color.red);
				txtOwnGoal[thisKick].setForeground(Color.blue.brighter());
				printTotalOwnGoal();

				//System.out.println("player["+(kickBuff[index]+1)+"] own Goal total"+player[kickBuff[index]].owngoal);
				
			}
	
				index++;
				kickBuff[index] = -1;
				return	;		
		}

		if ((thisMode != "play_on" )&& changem){
			
			index++;
			kickBuff[index] = -1;	
			return;
		}

		//kick sita
		if (changek){
			beforeKick = kickBuff[index-1];
			//free kick
			if (changem || beforeKick == -1 ){
				player[thisKick].freeKick++; 
				beforeKick = thisKick;
				
		//		System.out.println("player["+(beforeKick+1)+"] freeKick total"+player[beforeKick].freeKick);
				return;                                 
			}                   
			else if(((thisMode.endsWith("l"))&&thisKick<=10)||((thisMode.endsWith("r"))&&thisKick>=11)){
				player[thisKick].freeKick++; 
				beforeKick = thisKick;
				System.out.println("player["+(beforeKick+1)+"] freeKick total"+player[beforeKick].freeKick);
				System.out.println("new kansuu no tokoro!!!");
				return;                            
			}
		


		//System.out.println("beforeKick " +kickBuff[index-1]+"thisKick "+kickBuff[index]);		
		//pass or dribble
		if ((thisKick <= 10 && beforeKick <=10) || (thisKick >= 11 && beforeKick >= 11)){
		
			//SHIHAI RITSU
			if (thisKick <= 10){
		
		//		System.out.println("LeftgetTime = "+(thisTime - beforeTime));

				shihaiLeft += thisTime - beforeTime;
				
		//		System.out.println("LeftShihaiRitsu = "+(int)(shihaiLeft/(double)(play_on_time)*100)+"%");
			}
			else{
		//		System.out.println("RightgetTime = "+(thisTime - beforeTime));

				shihaiRight += thisTime - beforeTime;

		//		System.out.println("RightShihaiRitsu = "+(int)(shihaiRight/(double)(play_on_time)*100)+"%");
			}
			//dribble
			if (thisKick == beforeKick){
				player[beforeKick].dribble++;
			//	System.out.println("player["+(beforeKick+1)+"] dribble total"+player[beforeKick].dribble);
				txtDribble[beforeKick].setText(new Integer(player[beforeKick].dribble).toString());	
				printTotalDribble();
			}		
			//pass
			else{		
				player[beforeKick].pass++;
				player[thisKick].recvPass++;
				txtPass[beforeKick].setText(new Integer(player[beforeKick].pass).toString());	
				txtRecvPass[thisKick].setText(new Integer(player[thisKick].recvPass).toString());	
				printTotalPass();
				printTotalRecvPass();
				//System.out.println("player["+(beforeKick+1)+"] pass total"+player[beforeKick].pass);	
				//System.out.println("player["+(thisKick+1)+"] receive pass total"+player[thisKick].recvPass);		
			}
		}
		//passMiss & passCut
		else{
			player[beforeKick].passMiss++;	
			player[thisKick].passCut++;
		//	System.out.println(new Integer(player[beforeKick].passMiss).toString());
			txtPassMiss[beforeKick].setText(new Integer(player[beforeKick].passMiss).toString());	
			txtPassCut[thisKick].setText(new Integer(player[thisKick].passCut).toString());	
			printTotalPassMiss();			
			printTotalPassCut();

		//	System.out.println("player["+(beforeKick+1)+"] passMiss total"+player[beforeKick].passMiss);	
		//	System.out.println("player["+(thisKick+1)+"] passCut total"+player[thisKick].passCut);	

		}
		beforeKick = thisKick;		
	}

	
	}

	void showWindow(){
		Thread th = new Thread(this);		
		th.start();
	}

	public void run(){
		setVisible(true);
	}

	public void windowClosed(WindowEvent event) {
		
		 setVisible(false);

    	}
   	public void windowDeiconified(WindowEvent event) {
   	}
   	public void windowIconified(WindowEvent event) {
   	}
   	public void windowActivated(WindowEvent event) {
   	}
   	public void windowDeactivated(WindowEvent event) {
   	}
   	public void windowOpened(WindowEvent event) {
   	}
   	public void windowClosing(WindowEvent event) {
           setVisible(false);
	}


}

 
