//Robo Cup  LogMonitor 
// This Program is developed based on Noda Itsuki's  sserver-3.28.
import java.awt.*;
import java.net.*;
import java.io.*;
import java.awt.event.*;
import java.util.*;
//
//Re[^̃GW̖ʂNX
//
class CPort extends Thread{

	MainWindow mw ;
	ReadLogFile readlf;	
	ShowInfo sInfo;
	ReplayInfo rInfo;
	String fname = null;
	protected int waitTime = 50;

	public CPort(MainWindow mw){
		this.mw = mw;
		sInfo = new ShowInfo();
		rInfo = new ReplayInfo();
	}	
	
	public void setFilename(String fname){
		
		this.fname = fname;		
	}

	public void open(){
		DataInputStream dist;
		
		try{
			dist = new DataInputStream(new FileInputStream(fname));
		
		
			byte[] disByte3 = new byte[3];
			int len = dist.read(disByte3, 0, 3);
			String head  = new String(disByte3, 0, len);
		
			//System.out.println(head);
			//new LogFile
			if (head.equals("ULG")){
				readlf = new ReadLogFile2(fname);		
   			}
			else{
				readlf = new ReadLogFile(fname);
			}

			readlf.open();
		}
		catch(IOException e) {
			System.err.println(e);
		}
	}
	
	public void close(){
		
		readlf.close();
	}

	protected void fileEnding(){

		mw.fileEnd();
		close();
	}		
	
	public void setWaitTime(int waitTime){
		this.waitTime = waitTime;
	}		
	public void run(){
						
		while((sInfo = readlf.getShowInfo()) != null){
			
			int x, y, angle, side, unum; 
			Color c;
		
			rInfo.kicked = false;
			rInfo.kickMember = 100;
			//sInfo = readlf.getShowInfo();
  			
			//^CZbg
			rInfo.setTime(sInfo.getTime());	
			//vC[hZbg
			rInfo.setPlayMode(sInfo.getPlayMode());
			
			for(int i = 0; i < 2; ++i){
				//XRAZbg	
				rInfo.setScore(i, sInfo.getScore(i));
				//`[Zbg
				rInfo.setTeamName(i, sInfo.getTeamName(i));
			}

			//{[̍WZbg		
			rInfo.setCBall(sInfo.getX(0), sInfo.getY(0));
			
			//v[[̍WZbg
			
			for (int i = 0; i <= 21; ++i){
				x = sInfo.getX(i+1);
				y = sInfo.getY(i+1);
				angle = sInfo.getAngle(i+1);
				side = sInfo.getSide(i+1);
				unum = sInfo.getUnum(i+1);
	
				rInfo.setPlayer(i, x, y, angle, side, unum, (side == (int)CParam.CType_LEFT) ? CParam.TEAM_L_COLOR: CParam.TEAM_R_COLOR);
			}			
	
			mw.update(rInfo);
				try{
					sleep(waitTime);
					
				}
				catch(InterruptedException e){}
				
		}
		fileEnding();			
	}
}
	