//Robo Cup  LogMonitor 
// This Program is developed based on Noda Itsuki's  sserver-3.28.
import java.awt.*;
import java.net.*;
import java.io.*;
import java.awt.event.*;
import java.util.*;
//
//Information of one play
//
public class ReplayInfo {

	static private String	teamName[] = new String[2];
	private int	score[] = new int[2];
	private int time;
	private String pmode; 
	double minBallDist ;
	private	CPlayer[] player = new CPlayer[22];
	private	CBall cball;	
	boolean kicked;	
		
	int kickMember;
	ReplayInfo(){
			
		for(int i = 0; i < 2; ++i){
			teamName[i] = new String();
		} 
		   
		cball = new CBall(this);

		for (int i = 0; i <= 21; ++i){
			player[i] = new CPlayer(this);
		}			
	}

	String getTeamName(int side){

		int si = (side == CParam.CType_LEFT)? 0 : 1;
		//w肵`[̔z̓Y͈͓ł邩ǂ
		if ((si > 1) || (si < 0)){
			System.out.println(side+"ReplayInfoNXgetTeamName\bh֓nlُł");
			}

		return teamName[si]; 

	}

	 CBall getCBall(){

		return cball;
	}
	
	
	int getScore(int side){

		return score[side]; 
	}

	int getTime(){
		return time;	
	}
	
	String getPlayMode(){
		return pmode;
	}

	int getPlayerKickCount(int index){
		return player[index].getKickCount();
	}
			
	int getTeamKickCount(int side){
		
		int total = 0;
		int base = (side == CParam.CType_LEFT)? 0 : 11;
		for(int i = 0; i <= 10; ++i){
			total = total += player[base + i].getKickCount();			
		}
		return total;
	}
	int getPlayerDistance(int index){
		return player[index].getDistance();
	}

	int getTeamDistance(int side){
		int total = 0;
		int base = (side == CParam.CType_LEFT)? 0 : 11;

		for(int i = 0; i <= 10; ++i){
			total = total += player[base + i].getDistance();			
		}
		return total;
	}
	
	public int getKickMember(){

		return kickMember;
	}

	
	void drawAll(Graphics g){

		for (int i = 0; i <= 21; ++i){
			player[i].drawPlayer(g);
		}	
		
		cball.drawBall(g);
	}

	//TeamZbg
	void setTeamName(int teamSide, String teamName){

		//w肵`[̔z̓Y͈͓ł邩ǂ
		if ((teamSide > 1) || (teamSide < 0)){
			System.out.println(teamSide+"ReplayInfoNXsetTeamName\bh֓nlُł");
			}

		this.teamName[teamSide]  = teamName; 

	}

	void setCBall(int x, int y){

		cball.set(x, y);
	}

	void setPlayer(int index, int x, int y, int angle, int side, int unum, Color c){

		if(index == 0){minBallDist = 10000;}  
		if (player[index].set(x, y, angle, side, unum, c) == true){

			if (player[index].toBallDist < minBallDist){
				kicked = true;	
				minBallDist = player[index].toBallDist ; 		
				kickMember = index;
			}
		}

	}	

	void setTime(int time){

		this.time = time;
	}
	
	void setPlayMode(String pmode){

		this.pmode = pmode; 
	}

	void setScore(int teamSide, int teamScore){

		score[teamSide] = teamScore;

	}
		
}




